Loading...

Delete Cron

Description

This API enables you to delete a cron present in the project. The cron is referred by its unique identifier like ID or name.

Note: This API is applicable for Pre-Defined Crons and Dynamic Crons.

Request Details

Request URL

DELETE

{api-domain}/baas/v1/project/{project_id}/job_scheduling/cron/{cron_id/cron_name}

copy

project_id
Numerical
The unique ID of the project

cron_id
Numerical
The unique ID of the cron

cron_name
String
The name of the cron

Request Headers

Authorization: Zoho-oauthtoken {oauth_token}

Optional Headers

CATALYST-ORG: {org_id}

Environment: Development

Scope

ZohoCatalyst.cron.DELETE

Response Details

The JSON response returns the metadata of the deleted cron. The response will also contain the details of the user who deleted the cron.

Note: The response is similar for both Pre-Defined and Dynamic Crons. Only the value of execution_type will change in the response based on the cron type.
Sample Request
copy

curl -X DELETE https://api.catalyst.zoho.com/baas/v1/project/10278000000019013/job_scheduling/cron/10108000004154323 -H “Authorization: Zoho-oauthtoken 1000.91016.2f57

Sample Response
copy
{
    "status": "success",
    "data": {
        "cron_name": "pcMonthlyDay",
        "cron_type": "Calendar",
        "cron_execution_type": "pre-defined",
        "job_meta": {
            "id": "10108000004154323",
            "url": "",
            "job_name": "j",
            "job_config": {
                "number_of_retries": 0
            },
            "target_type": "AppSail",
            "target_details": {
                "id": "10108000002976191",
                "target_name": "appsailTrue"
            },
            "source_type": "Cron",
            "source_details": {
                "id": "10108000004154321",
                "source_name": "pcMonthlyDay",
                "details": {
                    "cron_execution_type": "pre-defined"
                }
            },
            "jobpool_id": "10108000002976201",
            "jobpool_details": {
                "type": "AppSail",
                "name": "appsailJP",
                "created_by": {
                    "zuid": "77941453",
                    "is_confirmed": false,
                    "email_id": "emmy@zylker.com",
                    "first_name": "Amelia Burrows",
                    "last_name": "",
                    "user_type": "Admin",
                    "user_id": "10108000000009004"
                },
                "created_time": "Mar 28, 2024 05:41 PM",
                "modified_by": {
                    "zuid": "77941453",
                    "is_confirmed": false,
                    "email_id": "emmy@zylker.com",
                    "first_name": "Amelia Burrows",
                    "last_name": "",
                    "user_type": "Admin",
                    "user_id": "10108000000009004"
                },
                "modified_time": "Mar 28, 2024 05:41 PM",
                "capacity": {
                    "number": "5"
                },
                "project_details": {
                    "project_name": "AppsailCron",
                    "id": "10108000002976144",
                    "project_type": "Live"
                },
                "id": "10108000002976201"
            },
            "request_method": "get"
        },
        "cron_status": true,
        "created_time": "Jun 04, 2024 04:31 PM",
        "created_by": {
            "zuid": "77941453",
            "is_confirmed": false,
            "email_id": "emmy@zylker.com",
            "first_name": "Amelia Burrows",
            "last_name": "",
            "user_type": "Admin",
            "user_id": "10108000000009004"
        },
        "modified_time": "Jun 04, 2024 04:31 PM",
        "modified_by": {
            "zuid": "77941453",
            "is_confirmed": false,
            "email_id": "emmy@zylker.com",
            "first_name": "Amelia Burrows",
            "last_name": "",
            "user_type": "Admin",
            "user_id": "10108000000009004"
        },
        "project_details": {
            "project_name": "AppsailCron",
            "id": "10108000002976144",
            "project_type": "Live"
        },
        "end_time": "1718303399",
        "cron_detail": {
            "hour": 4,
            "minute": 4,
            "second": 4,
            "repetition_type": "monthly",
            "days": [
                1,
                3,
                4
            ],
            "timezone": "Asia/Kolkata"
        },
        "success_count": 0,
        "failure_count": 0,
        "id": "10108000004154321"
    }
}
View more